Index: uspace/srv/net/modules.h
===================================================================
--- uspace/srv/net/modules.h	(revision 1a0fb3f8aa71e3bb907eb17703615fc685752ca1)
+++ uspace/srv/net/modules.h	(revision 71b00dcceb98187a198867584792b49778d8e886)
@@ -50,5 +50,5 @@
  *  @param[in] count The number units of the source type size.
  */
-#define CONVERT_SIZE( type_from, type_to, count )	(( sizeof( type_from ) / sizeof( type_to )) * ( count ))
+#define CONVERT_SIZE(type_from, type_to, count)	((sizeof(type_from) / sizeof(type_to)) * (count))
 
 /** Registers the module service at the name server.
@@ -56,5 +56,5 @@
  *  @param[out] phonehash The created phone hash.
  */
-#define REGISTER_ME( me, phonehash )	ipc_connect_to_me( PHONE_NS, ( me ), 0, 0, ( phonehash ))
+#define REGISTER_ME(me, phonehash)	ipc_connect_to_me(PHONE_NS, (me), 0, 0, (phonehash))
 
 /** Connect to the needed module function type definition.
@@ -62,19 +62,13 @@
  *  @returns The phone of the needed service.
  */
-typedef int connect_module_t( services_t need );
+typedef int connect_module_t(services_t need);
 
-/** Connects to the needed module.
- *  @param[in] need The needed module service.
- *  @returns The phone of the needed service.
+/** Answers the call.
+ *  @param[in] callid The call identifier.
+ *  @param[in] result The message processing result.
+ *  @param[in] answer The message processing answer.
+ *  @param[in] answer_count The number of answer parameters.
  */
-int connect_to_service( services_t need );
-
-/** Connects to the needed module.
- *  @param[in] need The needed module service.
- *  @param[in] timeout The connection timeout in microseconds. No timeout if set to zero (0).
- *  @returns The phone of the needed service.
- *  @returns ETIMEOUT if the connection timeouted.
- */
-int connect_to_service_timeout( services_t need, suseconds_t timeout );
+void answer_call(ipc_callid_t callid, int result, ipc_call_t * answer, int answer_count);
 
 /** Creates bidirectional connection with the needed module service and registers the message receiver.
@@ -87,5 +81,5 @@
  *  @returns Other error codes as defined for the ipc_connect_to_me() function.
  */
-int	bind_service( services_t need, ipcarg_t arg1, ipcarg_t arg2, ipcarg_t arg3, async_client_conn_t client_receiver );
+int bind_service(services_t need, ipcarg_t arg1, ipcarg_t arg2, ipcarg_t arg3, async_client_conn_t client_receiver);
 
 /** Creates bidirectional connection with the needed module service and registers the message receiver.
@@ -100,20 +94,19 @@
  *  @returns Other error codes as defined for the ipc_connect_to_me() function.
  */
-int	bind_service_timeout( services_t need, ipcarg_t arg1, ipcarg_t arg2, ipcarg_t arg3, async_client_conn_t client_receiver, suseconds_t timeout );
+int bind_service_timeout(services_t need, ipcarg_t arg1, ipcarg_t arg2, ipcarg_t arg3, async_client_conn_t client_receiver, suseconds_t timeout);
 
-/** Answers the call.
- *  @param[in] callid The call identifier.
- *  @param[in] result The message processing result.
- *  @param[in] answer The message processing answer.
- *  @param[in] answer_count The number of answer parameters.
+/** Connects to the needed module.
+ *  @param[in] need The needed module service.
+ *  @returns The phone of the needed service.
  */
-void	answer_call( ipc_callid_t callid, int result, ipc_call_t * answer, int answer_count );
+int connect_to_service(services_t need);
 
-/** Refreshes answer structure and parameters count.
- *  Erases all attributes.
- *  @param[in,out] answer The message processing answer structure.
- *  @param[in,out] answer_count The number of answer parameters.
+/** Connects to the needed module.
+ *  @param[in] need The needed module service.
+ *  @param[in] timeout The connection timeout in microseconds. No timeout if set to zero (0).
+ *  @returns The phone of the needed service.
+ *  @returns ETIMEOUT if the connection timeouted.
  */
-void	refresh_answer( ipc_call_t * answer, int * answer_count );
+int connect_to_service_timeout(services_t need, suseconds_t timeout);
 
 /** Receives data from the other party.
@@ -127,5 +120,5 @@
  *  @returns Other error codes as defined for the async_data_write_finalize() function.
  */
-int data_receive( void ** data, size_t * length );
+int data_receive(void ** data, size_t * length);
 
 /** Replies the data to the other party.
@@ -137,5 +130,12 @@
  *  @returns Other error codes as defined for the async_data_read_finalize() function.
  */
-int data_reply( void * data, size_t data_length );
+int data_reply(void * data, size_t data_length);
+
+/** Refreshes answer structure and parameters count.
+ *  Erases all attributes.
+ *  @param[in,out] answer The message processing answer structure.
+ *  @param[in,out] answer_count The number of answer parameters.
+ */
+void refresh_answer(ipc_call_t * answer, int * answer_count);
 
 #endif
